Bug 68516 - [PATCH] bsd.java.mk: re-apply previous PR improvements
Summary: [PATCH] bsd.java.mk: re-apply previous PR improvements
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: java (show other bugs)
Version: 5.2.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-30 16:00 UTC by Hervé Quiroz
Modified: 2004-07-01 23:44 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.87 KB, patch)
2004-06-30 16:00 UTC, Hervé Quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hervé Quiroz 2004-06-30 16:00:36 UTC
Mark Linimon sent a PR[1] regarding improvement to the ports system that has
been commited during January. Unfortunately, we then commited version 2.0 of
bsd.java.mk which was based on an earlier snapshot and thus we did override the
changes.

This patch implements the feature proposed by Mark for the latest version of
bsd.java.mk.

Ironically, I realized by doing this patch that the original patch from Mark
seemed to be broken regarding bsd.java.mk (a typo: "check-makevers" ->
"check-makevars"). This issue is only related to bsd.java.mk so AFAICT the
remaining of the original patch is fine.

To test the patch:

$ cd /usr/ports/java/trove4j && make -DJAVA_BUILD
trove4j-1.1b3: Makefile error: JAVA_BUILD and NO_BUILD cannot be set at the same time.
*** Error code 1

Stop in /usr/ports/java/trove4j.

$ cd /usr/ports && make java/trove4j -DJAVA_BUILD
`java/trove4j' is up to date.


[1] http://www.freebsd.org/cgi/query-pr.cgi?pr=61351

* Ernst de Haan is cc'd as he is the maintainer of bsd.java.mk
* Greg Lewis is cc'd as he is the commiter of the most recent changes to
bsd.java.mk
* Mark Linimon is cc'd as he is the originator of the initial PR
Comment 1 Greg Lewis freebsd_committer 2004-06-30 16:02:13 UTC
Responsible Changed
From-To: freebsd-java->glewis

I'll take this.
Comment 2 Mark Linimon 2004-06-30 18:31:29 UTC
On Wed, 30 Jun 2004, Herve Quiroz wrote:

> Ironically, I realized by doing this patch that the original patch from Mark
> seemed to be broken regarding bsd.java.mk (a typo: "check-makevers" ->
> "check-makevars").

Yep, just a typo.  I vaguely remember doing some regression testing
with setting up bogus user environments and trying to exercise each
code path, but I must have missed that one.

For those that don't understand the impact of the changes, they are
designed to allow 'make index' and 'make search' to succeed despite
any bogus user environment.  The use of .BEGIN or .error directives
in Makefiles introduces such fragility; they should only be used in
cases to indicate that the ports infrastructure itself is broken
(has had a bad commit to the master repository), rather than that
there is some invalid setup on an individual machine.

And yes, I know that we have a number of these scattered around.
They all need to be fixed.
Comment 3 Greg Lewis freebsd_committer 2004-07-01 23:44:17 UTC
State Changed
From-To: open->closed

Committed, thanks!